List all submissions
curl --request GET \
--url https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/submissions \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/submissions"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"submissions": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"field_values": [
{}
],
"user_agent": {
"id": "<string>",
"name": "<string>",
"version": "<string>",
"ip_address": "<string>",
"device_name": "<string>",
"device_type": "<string>",
"operating_system": "<string>",
"operating_system_version": "<string>",
"submission_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"responses": [
{
"id": "<string>",
"label": "<string>",
"position": 123,
"kind": "<string>",
"slug": "<string>",
"value": "<string>"
}
]
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
},
"total_count": 123
}Submissions
List submissions
List all submissions for a form.
GET
/
forms
/
{form_id}
/
submissions
List all submissions
Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique ID of the form for which you want to retrieve submissions. Refer to Getting the Form ID section for detailed instructions.
Query Parameters
Retrieve paginated results by specifying the desired page number. If this parameter is absent, all results will be returned.
Set the number of results returned in the response. Defaulting to 30 when omitted.
Response
200 - application/json
OK - Request succeeded
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
⌘I